import java.util.ArrayList;

public class Inventory {
   private ArrayList<Product> warehouse = new ArrayList<>();

    public void add(Product product){
        warehouse.add(product);
    }

    public Product find(String id){
        for (Product p: warehouse) {
           if(p.getID().equals(id)){
               return p;
           }
        }
        return null;
    }

    public Integer getTotalPrice(String id){
        int totalPrice = 0;
        for (Product product:warehouse) {
            totalPrice += product.getPrice() * product.getQuantity();
        }
        return totalPrice;
    }

}
